<template>
  <!--This is the SearchBar that can be exported and embeded in another templates.-->
  <v-row>
    <v-toolbar dense :color="'primary'" :dark="true" class="search-tool-bar">
      <v-icon class="mr-1 pl-0">mdi-magnify</v-icon>
      <v-text-field
        hide-details
        single-line
        placeholder="Fragen suchen"
        v-model="inputValue"
        @input="emitInput"
        label="Suchfeld"
      ></v-text-field>
      <v-btn title="Eingabe löschen" icon @click="clearFilter">
        <v-icon>mdi-close</v-icon>
      </v-btn>
    </v-toolbar>
  </v-row>
</template>

<script>
export default {
  name: "SearchBar",
  data() {
    return {
      inputValue: ""
    };
  },
  methods: {
    //clears the filter
    clearFilter() {
      this.inputValue = "";
      this.$emit("filterCleared");
    },
    //emits the imput
    emitInput(event) {
      this.$emit("input", event);
    }
  }
};
</script>

<style scoped></style>
